I'm having problems compiling Gimp 2.0.1 on my Conectiva Linux 9 machine.

The error is:

if gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../app -I/usr/local/gtk+/include/gtk-2.0 -I/usr/local/glib/include/glib-2.0 -I/usr/local/glib/lib/glib-2.0/include -I/usr/local/glib/include/glib-2.0 -I/usr/local/glib/lib/glib-2.0/include -I/usr/local/pango/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/local/gimp/include -DG_LOG_DOMAIN=\"Gimp-Text\" -I/usr/local/fontconfig/include -DGDK_MULTIHEAD_SAFE -DGTK_MULTIHEAD_SAFE -O3 -march=athlon-xp -Wall -MT gimpfontlist.o -MD -MP -MF ".deps/gimpfontlist.Tpo" \
-c -o gimpfontlist.o `test -f 'gimpfontlist.c' || echo './'`gimpfontlist.c; \
then mv -f ".deps/gimpfontlist.Tpo" ".deps/gimpfontlist.Po"; \
else rm -f ".deps/gimpfontlist.Tpo"; exit 1; \
gimpfontlist.c: In function `gimp_font_list_font_desc_from_pattern':
gimpfontlist.c:290: `FC_WIDTH' undeclared (first use in this function)
gimpfontlist.c:290: (Each undeclared identifier is reported only once
gimpfontlist.c:290: for each function it appears in.)
gimpfontlist.c:294: `FC_WIDTH_NORMAL' undeclared (first use in this function)
gimpfontlist.c:297: `FC_WIDTH_ULTRACONDENSED' undeclared (first use in this function)
gimpfontlist.c:300: `FC_WIDTH_EXTRACONDENSED' undeclared (first use in this function)
gimpfontlist.c:303: `FC_WIDTH_CONDENSED' undeclared (first use in this function)
gimpfontlist.c:306: `FC_WIDTH_SEMICONDENSED' undeclared (first use in this function)
gimpfontlist.c:309: `FC_WIDTH_SEMIEXPANDED' undeclared (first use in this function)
gimpfontlist.c:312: `FC_WIDTH_EXPANDED' undeclared (first use in this function)
gimpfontlist.c:315: `FC_WIDTH_EXTRAEXPANDED' undeclared (first use in this function)
gimpfontlist.c:318: `FC_WIDTH_ULTRAEXPANDED' undeclared (first use in this function)
gimpfontlist.c: In function `gimp_font_list_load_names':
gimpfontlist.c:347: `FC_WIDTH' undeclared (first use in this function)
make[3]: *** [gimpfontlist.o] Error 1
make[3]: Leaving directory `/usr/src/gimp-2.0.1/app/text'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/gimp-2.0.1/app'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/gimp-2.0.1'
make: *** [all] Error 2

I have seen other messages on mailing lists regarding this same problem. The proposed solution is, AFAICT, to remove the outdated fontconfig header files. This doesn't seen to be a viable solution for me. Let me explain:

gimp 2.0.1 depends on gtk+ 2.4.x and on pango with the xft backend.

To compile the gtk+ 2.4.x compliant pango I need libXft.so. This file and the related xft-devel files are inside the fontconfig-devel package on Conectiva distribution. So I neeed fontconfig-devel (the outdated one).

I have also compiled fontconfig 2.2.0 as updated gimp and gtk+ both require.

I think my distribution should have two separate packages: fontconfig-devel and xft-devel. I have already asked them to consider creating them but until I eventually manage to get these packages I'm looking for another solution.

On the other side, I believe gimp should be able to use just the indicated fontconfig installation. I'm setting the following variables on gimp configuration and still can't compile gimp:


To resume the situation, I believe that both the Conectiva distribution is wrong (it should have separate packages for fontconfig and xft) and gimp configure/compile process is wrong (it should be enough to set the proper variables and get it compile itself using the indicated library).

Could this fix, if really considered proper, be included in gimp ASAP?

I'm trying to correct both wrongs and/or learn more on the subject during the process.

Thanks a lot for your attention,

Rodrigo Severo

Rodrigo Severo
Fábrica de Idéias
Fone: +55(61)321 1357
Fax: +55(61)223 1712
SBS - Quadra 2 - Ed. Empire Center - Sala 1301
Brasília/DF - Brasil
CEP: 70.070-904
Gimp-developer mailing list

Reply via email to